Name: libinklevel
Version: 0.6.2
Release: alt1

Summary: Library for retrieving the ink level of a printer attached via the parallel port or USB.
License: GPL
Group: System/Libraries
Url: http://home.arcor.de/markusheinz/

Source0: %url/%name-%version.tar.gz
Source1: supported_printers.txt
Patch1: %name-%version-alt-makefile-fix.patch

BuildPreReq: libieee1284-devel

%package devel
Summary: Headers for libinklevel
Group: Development/C
Requires: %name = %version-%release

%description
Libinklevel is a linux library for retrieving the ink level of a printer attached via the parallel port or USB.

%description devel
Headers for building software that uses libinklevel

%prep
%setup -q -n %name
%patch1 -p1
%__install -m644 %SOURCE1 .

%build
%make

%install
%make install DESTDIR=$RPM_BUILD_ROOT/usr

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%doc supported_printers.txt

%files devel
%_libdir/*.so
%_includedir/*.h

%changelog
* Sat Jan 10 2004 Andrey Rahmatullin <wrar@altlinux.ru> 0.6.2-alt1
- new version

* Sat Dec 06 2003 Andrey Rahmatullin <wrar@altlinux.ru> 0.6.1-alt1
- new version

* Thu Dec 04 2003 Andrey Rahmatullin <wrar@altlinux.ru> 0.6-alt1
- new version
- supported printers list added (from project homepage)

* Fri Oct 10 2003 Andrey Rahmatullin <wrar@altlinux.ru> 0.5-alt1
- postin fix
- built for Sisyphus
